mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(false) To be added.

Indicates whether an is reset automatically or manually after receiving a signal.

- Field
  2.0.0.0
  4.0.0.0
  System.Threading.EventResetMode

  When signaled, the resets automatically after releasing a single thread. If no threads are waiting, the remains signaled until a thread blocks, and resets after releasing the thread.

- Field
  2.0.0.0
  4.0.0.0
  System.Threading.EventResetMode

  When signaled, the releases all waiting threads and remains signaled until it is manually reset.